<div class="content">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand">Create Rule</a>
        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <div class="navbar-nav">
                <li class="nav-item" [routerLink]="['/editor']" routerLinkActive="active" ><button type="button" (click)="sendTemplateData(null)" class="btn btn-outline-secondary btn-sm">Create new rule without template</button></li>
            </div>
        </div>
    </nav>
    <div fxLayout="row" class="main-editor">
        <div class="content-window">
            <div class="row row-cols-6 g-4" >
                <div class="col" *ngFor="let template of templates">
                    <div class="card" style="width: 30rem;">
                        <div class="card-body">
                            <h5 class="card-title">{{ template.name }}</h5>
                            <h6 class="card-subtitle mb-2 text-muted">{{ template.description}}</h6>
                            <button [routerLink]="['/editor']" routerLinkActive="active" (click)="sendTemplateData(template)" type="button" class="btn btn-secondary btn-sm button-del">Create rule from template</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>






